Reuse the Foreman client SSL settings for Candlepin

07/10/2020 06:56 PM - Ewoud Kohl van Wijngaarden

Status: Ready For Testing   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category: Subscriptions   

Target version: Katello Backlog   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/Katello/katello/pull/883
Description

Foreman has a setting :ssl_ca_file which is described as:

SSL CA file that Foreman will use to communicate with its proxies

 In practice Candlepin is almost always the same CA. To reduce the required configuration, it would be good if Katello would fall back

to the shared config.

This may require changes to the description in Foreman.

History

#1 - 07/10/2020 06:59 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/Katello/katello/pull/8832 added

#2 - 07/15/2020 05:37 PM - Jonathon Turel

- Category set to Subscriptions

- Target version set to Katello 4.0.0

- Triaged changed from No to Yes

#3 - 08/04/2020 02:34 PM - Chris Roberts

- Target version changed from Katello 4.0.0 to Katello 3.17.0

#4 - 10/07/2020 06:01 PM - Jonathon Turel

- Target version changed from Katello 3.17.0 to Katello 3.18.0

#5 - 12/16/2020 02:46 PM - Jonathon Turel

- Target version changed from Katello 3.18.0 to Katello 4.0.0

#6 - 02/15/2021 07:39 PM - Jonathon Turel

- Target version changed from Katello 4.0.0 to Katello 4.1.0

#7 - 04/20/2021 07:07 PM - Jonathon Turel

- Target version changed from Katello 4.1.0 to Katello 4.2.0

#8 - 08/02/2021 06:24 PM - Justin Sherrill

- Target version changed from Katello 4.2.0 to Katello 4.3.0
#9 - 01/05/2022 06:58 PM - Jonathon Turel

- Target version changed from Katello 4.3.0 to Katello 4.4.0

#10 - 01/19/2022 04:55 PM - Jonathon Turel

- Target version changed from Katello 4.4.0 to Katello Backlog
